Foreman - Bug #7818

500 error in API v1 user/role functional tests: "Too deeply nested”
10/06/2014 03:14 AM - Dominic Cleal

Status: Closed
Priority: Immediate
Assignee: Dominic Cleal
Category: Tests
Target version: 1.6.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1821
Description

Logs show this error:

Too deeply nested.

(ActionView: :Template: :Error)
/usr/local/rvm/gems/ruby-2.0.0-p353Q@test_develop_pr_core-1/gems/rabl-0.9.0/1lib/rabl/engine.rb:240:
in " dump'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-1/gems/rabl-0.9.0/1lib/rabl/engine.rb:240:
in " format_json'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-1/gems/rabl-0.9.0/1lib/rabl/engine.rb:64:1
n “to_json'
/usr/local/rvm/gems/ruby-2.0.0-p353Q@test_develop_pr_core-1/gems/rabl-0.9.0/1lib/rabl/engine.rb:39:1i
n “block in render'
/usr/local/rvm/gems/ruby-2.0.0-p353Q@test_develop_pr_core-1/gems/rabl-0.9.0/1lib/rabl/engine.rb:285:
in ‘cache_results'
/usr/local/rvm/gems/ruby-2.0.0-p353Q@test_develop_pr_core-1/gems/rabl-0.9.0/1lib/rabl/engine.rb:39:1
n “render'
/var/lib/workspace/workspace/test_develop_pr_core/database/postgresql/puppet/3.0/ruby/2.0.0/app/vi
ews/api/vl/users/create.json.rabl:2:in ' _app_views api_v
_users_create_json_rabl_ 4493772589656306360_147762980"

Seems to be due to 0j 2.10.3 which started causing the error. Release notes mention "Rational recursive loop caused by active
support fixed".

Associated revisions

Revision 1155fbf1 - 10/06/2014 05:26 AM - Dominic Cleal

fixes #7818 - explicitly render role permissions to fix 0j 2.10.3 error

Revision 87ba11c¢7 - 10/07/2014 08:27 AM - Dominic Cleal

fixes #7818 - explicitly render role permissions to fix 0j 2.10.3 error

(cherry picked from commit 1155fbf13a6c6cbcb9f4cdfc2f0907eaddaf2cch)

History

#1 - 10/06/2014 03:41 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1821 added
- Pull request deleted ()

#2 - 10/06/2014 03:43 AM - Dominic Cleal

- translation missing: en.field_release set to 22
#3 - 10/06/2014 06:03 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1155fbf13a6c6cbcb9f4cdfc2f0907eaddaf2ccs.
